### Method

# Soup CookieJar all_cookies

#### Declaration [src]

    GSList*
    soup_cookie_jar_all_cookies (
      SoupCookieJar* jar
    )

#### Description [src]

Constructs a `GList` with every cookie inside the `jar`.

The cookies in the list are a copy of the original, so you have to free them when you are done with them.

#### Return value

Type: A list of `SoupCookie*`

A `GSList` with all the cookies in the `jar`.

The caller of the method takes ownership of the data, and is responsible for freeing it.